/* AUTOMATICALLY GENERATED FILE - DO NOT EDIT */

#ifndef TRACEFILES_TRACEEVENTIDS_HPP
#define TRACEFILES_TRACEEVENTIDS_HPP

#include "utilities/macros.hpp"
#if INCLUDE_TRACE
#include "trace/traceDataTypes.hpp"

/**
 * Enum of the event types in the JVM
 */
enum TraceEventId {
  _traceeventbase = (NUM_RESERVED_EVENTS-1), // Make sure we start at right index.
  
  // Events -> enum entry
  TraceThreadStartEvent,
  TraceThreadEndEvent,
  TraceThreadSleepEvent,
  TraceThreadParkEvent,
  TraceJavaMonitorEnterEvent,
  TraceJavaMonitorWaitEvent,
  TraceJavaMonitorInflateEvent,
  TraceReservedStackActivationEvent,
  TraceClassLoadEvent,
  TraceClassDefineEvent,
  TraceClassUnloadEvent,
  TraceIntFlagChangedEvent,
  TraceUnsignedIntFlagChangedEvent,
  TraceLongFlagChangedEvent,
  TraceUnsignedLongFlagChangedEvent,
  TraceDoubleFlagChangedEvent,
  TraceBooleanFlagChangedEvent,
  TraceStringFlagChangedEvent,
  TraceVirtualSpaceEvent,
  TraceObjectSpaceEvent,
  TraceGCHeapSummaryEvent,
  TraceMetaspaceSizesEvent,
  TraceMetaspaceSummaryEvent,
  TraceMetaspaceGCThresholdEvent,
  TraceMetaspaceAllocationFailureEvent,
  TraceMetaspaceOOMEvent,
  TraceMetaspaceChunkFreeListSummaryEvent,
  TracePSHeapSummaryEvent,
  TraceG1HeapSummaryEvent,
  TraceGarbageCollectionEvent,
  TraceParallelOldGarbageCollectionEvent,
  TraceYoungGarbageCollectionEvent,
  TraceOldGarbageCollectionEvent,
  TraceG1GarbageCollectionEvent,
  TraceG1MMUEvent,
  TraceEvacuationInformationEvent,
  TraceGCReferenceStatisticsEvent,
  TraceCopyFailedEvent,
  TraceObjectCountAfterGCEvent,
  TraceG1EvacuationStatisticsEvent,
  TraceG1EvacuationYoungStatisticsEvent,
  TraceG1EvacuationOldStatisticsEvent,
  TraceG1BasicIHOPEvent,
  TraceG1AdaptiveIHOPEvent,
  TracePromoteObjectInNewPLABEvent,
  TracePromoteObjectOutsidePLABEvent,
  TracePromotionFailedEvent,
  TraceEvacuationFailedEvent,
  TraceConcurrentModeFailureEvent,
  TraceGCPhasePauseEvent,
  TraceGCPhasePauseLevel1Event,
  TraceGCPhasePauseLevel2Event,
  TraceGCPhasePauseLevel3Event,
  TraceGCPhaseConcurrentEvent,
  TraceAllocationRequiringGCEvent,
  TraceTenuringDistributionEvent,
  TraceG1HeapRegionTypeChangeEvent,
  TraceCompilationEvent,
  TraceCompilerPhaseEvent,
  TraceCompilationFailureEvent,
  TraceCalleeMethodEvent,
  TraceCompilerInliningEvent,
  TraceSweepCodeCacheEvent,
  TraceCodeCacheFullEvent,
  TraceSafepointBeginEvent,
  TraceSafepointStateSynchronizationEvent,
  TraceSafepointWaitBlockedEvent,
  TraceSafepointCleanupEvent,
  TraceSafepointCleanupTaskEvent,
  TraceSafepointEndEvent,
  TraceExecuteVMOperationEvent,
  TraceObjectAllocationInNewTLABEvent,
  TraceObjectAllocationOutsideTLABEvent,

  MaxTraceEventId
};

/**
 * Struct types in the JVM
 */
enum TraceStructId {
  TraceThreadStruct,
  TraceThreadGroupStruct,
  TraceClassStruct,
  TraceClassLoaderStruct,
  TraceMethodStruct,
  TraceSymbolStruct,
  TraceThreadStateStruct,
  TraceGCNameStruct,
  TraceGCCauseStruct,
  TraceGCWhenStruct,
  TraceG1HeapRegionTypeStruct,
  TraceG1YCTypeStruct,
  TraceGCThresholdUpdaterStruct,
  TraceReferenceTypeStruct,
  TraceMetadataTypeStruct,
  TraceMetaspaceObjectTypeStruct,
  TraceNarrowOopModeStruct,
  TraceVMOperationTypeStruct,
  TraceCompilerPhaseTypeStruct,
  TraceFlagValueOriginStruct,
  TraceCodeBlobTypeStruct,
  TraceInflateCauseStruct,
  TraceModuleStruct,
  TracePackageStruct,
  TraceThreadStartStruct,
  TraceThreadEndStruct,
  TraceThreadSleepStruct,
  TraceThreadParkStruct,
  TraceJavaMonitorEnterStruct,
  TraceJavaMonitorWaitStruct,
  TraceJavaMonitorInflateStruct,
  TraceReservedStackActivationStruct,
  TraceClassLoadStruct,
  TraceClassDefineStruct,
  TraceClassUnloadStruct,
  TraceIntFlagChangedStruct,
  TraceUnsignedIntFlagChangedStruct,
  TraceLongFlagChangedStruct,
  TraceUnsignedLongFlagChangedStruct,
  TraceDoubleFlagChangedStruct,
  TraceBooleanFlagChangedStruct,
  TraceStringFlagChangedStruct,
  TraceVirtualSpaceStruct,
  TraceObjectSpaceStruct,
  TraceGCHeapSummaryStruct,
  TraceMetaspaceSizesStruct,
  TraceMetaspaceSummaryStruct,
  TraceMetaspaceGCThresholdStruct,
  TraceMetaspaceAllocationFailureStruct,
  TraceMetaspaceOOMStruct,
  TraceMetaspaceChunkFreeListSummaryStruct,
  TracePSHeapSummaryStruct,
  TraceG1HeapSummaryStruct,
  TraceGarbageCollectionStruct,
  TraceParallelOldGarbageCollectionStruct,
  TraceYoungGarbageCollectionStruct,
  TraceOldGarbageCollectionStruct,
  TraceG1GarbageCollectionStruct,
  TraceG1MMUStruct,
  TraceEvacuationInformationStruct,
  TraceGCReferenceStatisticsStruct,
  TraceCopyFailedStruct,
  TraceObjectCountAfterGCStruct,
  TraceG1EvacuationStatisticsStruct,
  TraceG1EvacuationYoungStatisticsStruct,
  TraceG1EvacuationOldStatisticsStruct,
  TraceG1BasicIHOPStruct,
  TraceG1AdaptiveIHOPStruct,
  TracePromoteObjectInNewPLABStruct,
  TracePromoteObjectOutsidePLABStruct,
  TracePromotionFailedStruct,
  TraceEvacuationFailedStruct,
  TraceConcurrentModeFailureStruct,
  TraceGCPhasePauseStruct,
  TraceGCPhasePauseLevel1Struct,
  TraceGCPhasePauseLevel2Struct,
  TraceGCPhasePauseLevel3Struct,
  TraceGCPhaseConcurrentStruct,
  TraceAllocationRequiringGCStruct,
  TraceTenuringDistributionStruct,
  TraceG1HeapRegionTypeChangeStruct,
  TraceCompilationStruct,
  TraceCompilerPhaseStruct,
  TraceCompilationFailureStruct,
  TraceCalleeMethodStruct,
  TraceCompilerInliningStruct,
  TraceSweepCodeCacheStruct,
  TraceCodeCacheFullStruct,
  TraceSafepointBeginStruct,
  TraceSafepointStateSynchronizationStruct,
  TraceSafepointWaitBlockedStruct,
  TraceSafepointCleanupStruct,
  TraceSafepointCleanupTaskStruct,
  TraceSafepointEndStruct,
  TraceExecuteVMOperationStruct,
  TraceObjectAllocationInNewTLABStruct,
  TraceObjectAllocationOutsideTLABStruct,

  MaxTraceStructId
};

typedef enum TraceEventId  TraceEventId;
typedef enum TraceStructId TraceStructId;

#endif // INCLUDE_TRACE
#endif // TRACEFILES_TRACEEVENTIDS_HPP
